#ifndef SETTINGS_PANE_HH
#define SETTINGS_PANE_HH

#include <QWidget>
#include <QListWidget>


class CollisionItem : public QListWidgetItem {
	const int frame;

public:
	CollisionItem(QString text, int frame)
		:QListWidgetItem(text),
		 frame(frame) {}

	int getFrame() const { return frame; }
};


class SettingsPane : public QWidget {
	Q_OBJECT

	QListWidget *collisions = nullptr;

public:
	SettingsPane(QWidget *parent=nullptr);

public slots:
	void addCollision(int idA, int idB, int frame);
	void clearCollisions();

signals:
	void sphereRadiusChanged(double sqRadius);
	void toggledTrajectories(int shown);
	void toggledGuides(int shown);
	void collisionClicked(int frame);
};


#endif
